---
apiVersion: v1
kind: Pod
metadata:
  name: metrics
  labels:
    owner: paige
spec:
  containers:
  - name: hello
    image: localhost/app:auto
    env:
    - name: OTEL_EXPORTER_OTLP_PROTOCOL
      value: "http/protobuf"
    - name: OTEL_EXPORTER_OTLP_METRICS_ENDPOINT
      value: "http://localhost:9090/api/v1/otlp/v1/metrics"
    - name: FLASK_RUN_PORT
      value: "8000"
    - name: FLASK_RUN_HOST
      value: "0.0.0.0"
    - name: OTEL_SERVICE_NAME
      value: "hello"
    - name: OTEL_TRACES_EXPORTER
      value: "none"
    - name: OTEL_METRICS_EXPORTER
      value: "otlp"
    - name: OTEL_METRIC_EXPORT_INTERVAL
      value: "3000"
    resources:
      limits:
        memory: "128Mi"
        cpu: "500m"
    ports:
    - containerPort: 8000
      hostPort: 8001
  - name: prometheus
    image: prom:latest
    resources:
      limits:
        memory: "128Mi"
        cpu: "500m"
    ports:
    - containerPort: 9090
      hostPort: 9090
